> ## Documentation Index
> Fetch the complete documentation index at: https://kiotapay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# New Sub-Accounts to Sub-Accounts De-Allocation

> This simply de-allocates funds from one organisation to another. It is done primarily by the Admin/Parent organisation. it increments and decrements the related organisation wallets respectively.

## Endpoint

POST /api/sandbox/v1/de-allocations/new

### Base URL

`https://api.kiotapay.co`

## **Request Headers**

| Key | Value | Required | Description |
| :- | :- | :- | :- |
| `Content-Type` | `application/json` | ✅ | Specifies that the request body is in JSON format. |
| `Authorization` | `Bearer <your-token>` | ✅ | API authentication token. Replace `<your-token>` with a valid JWT. |

## Request Body

```json theme={null}
{
    "fromOrganisationId":"4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4",
    "toOrganisationId":"b2f0a5ff-e9d8-4347-b46d-6eee8d195617",
    "amount":20
}
```

**Explanation**

| Field | Type | Description |
| :- | :- | :- |
| fromOrganisation | String | The Organisation Id where the deduction will happen |
| toOrganisationId | string | The sOrganisation id where the funds will be allocated. |
| amount | number | The amount of money to be allocated |

**Sample Response Body**

```json theme={null}
{
    "status": 201,
    "message": "Created Successfully",
    "data": {
        "status": "SUCCESS",
        "requestId": "c0662903-4cd5-4a9b-b085-cdfa5a57014b",
        "amount": 20.0
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.